
html{
    margin-top: -30px;
    overflow-x: hidden;
}
body{
    margin: 0px;
    overflow-x: hidden;
}
#Main1{
    background-image: linear-gradient(#a295a1, #ad00c0, rgb(84, 0, 84), black);
    padding: 20px;
}
#TopText{
    background-color: #c48ee2;
    text-align: center;
    color: white;
    font-size: 25px;
    font-family: fantasy;
    padding: 20px;
    border-radius: 25px;
}
#TextBox1{
    display: flex;
    > p{
        width: 50%;
        text-align: center;
        background-color: #a6b5ce;
        padding: 18px;
        border-radius: 25px;
        color: #6400ff;
        font-size: 22px;
        font-family: 'Oswald', sans-serif;
        font-weight: 900;
        border: solid 10px #7384a0;
        margin: 20px;
        transition: all 1s ease-out;
    }
    > div{
        text-align: center;
        background-color: #a6b5ce;
        padding: 18px;
        color: #6400ff;
        font-size: 16px;
        font-family: 'Oswald', sans-serif;
        font-weight: 900;
        width: 50%;
        border-radius: 25px;
        display: flex;
        justify-content: space-evenly;
        align-items: center;
        overflow: hidden;
        border: solid 10px #7384a0;
        margin: 20px;
        transition: all 1s ease-out;
    }
}
#div1{
    background-image: url("Images/Background1.png");
    background-size: cover;
    height: 116px;
    > p{
        color: #98ffa5;
        font-size: 29px;
        font-family: monospace;
        padding-left: 20px;
        font-weight: bold;
        padding-right: 20px;
        padding-top: 10px;
        text-shadow: 0 2px 2px black;
        > img{
            height: 34px;
            margin: -6px;
            filter: drop-shadow(0px 6px 4px black);
        }
    }
}
#div2{
    display: flex;
    flex-direction: row;
    transform: translate(40px, 0px);
    width: 97%;
    > P{
        color: white;
        font-size: 30px;
        font-family: cursive;
        background: linear-gradient(-25deg, green, blue, green);
        border: solid black 4px;
        padding: 10px;
        padding-left: 100px;
        transform: translate(-100px, 0px);
        z-index: -1;
    }
    > div{
        z-index: 1;
        width: 100%;
        max-width: 100%;
        display: flex;
        flex-direction: column;
        background: linear-gradient(-25deg, green, blue, green);
        border: solid black 4px;
        align-items: center;
        padding: 10px;
        border-radius: 8px;
        margin: 20px;
        > img{
            filter: drop-shadow(0px 6px 4px white);
        }
        > img:nth-child(1){
            max-width: 90%;
        }
        > img:nth-child(2){
            max-width: 75%;
        }
    }
}
#div3{
    display: flex;
    flex-direction: column;
    > p{
        background-color: #cdcdcd59;
        text-align: center;
        margin: 4px;
        color: white;
        font-size: 16px;
        transition: all 0.5s;
        > a{
            transition: all 0.5s;
            color: rgb(0, 34, 255);
        }
        > a:hover{
            color: rgb(0, 0, 175);
            font-size: 24px;
            cursor: pointer;
        }
    }
    > p:hover{
        background-color: #ffffff70;
        text-align: center;
        margin: 4px;
        color: black;
        font-size: 22px;
        padding-top: 4px;
        padding-bottom: 4px;
        font-family: fantasy;
    }
    > img{
        max-width: 50%;
        margin: auto;
    }
}
#div4{
    border: solid black 4px;
    padding: 4px;
    padding-left: 16px;
    padding-right: 16px;
    border-radius: 8px;
    background: linear-gradient(-50deg, purple, rgba(255, 192, 203, 0.173));
    > p{
        color: white;
        font-family: 'Dhurjati', sans-serif;
        font-size: 30px;
        line-height: 30px;
        margin-top: 10px;
    }
    > div{
        display: flex;
        margin: auto;
        justify-content: space-between;
        > img{
            height: 250px;
            width: 315px;
            margin-bottom: 15px;
            cursor: pointer;
        }
        > p{
            position: absolute;
            left: 34px;
            color: black;
            width: 318px;
            transform: translate(12px, 0px);
            text-shadow: 0 0 4px white;
            font-family: fantasy;
        }
    }
}
#div5{
    border-radius: 25px;
    background: url("Images/SHbg.png");
    height: 380px;
    background-position: center;
    display: flex;
    justify-content: space-between;
    align-items: center;
    border: solid black 10px;

    > div:nth-child(1){
        margin-left: 10px;
        min-width: 930px;
        > h1{
            background: -webkit-linear-gradient(#ffffff, #1f2629);
            -webkit-background-clip: text;
            -webkit-text-fill-color: transparent;
            filter: drop-shadow(0 0 1px black)  drop-shadow(0 0 1px black) drop-shadow(0 0 1px black) drop-shadow(0 0 1px black) drop-shadow(0 0 1px black);
            font-family: sans-serif;
            font-size: 30px;
            margin-top: -4px;
            margin-bottom: -4px;
            > a{
                background: -webkit-linear-gradient(rgb(255, 132, 0), #29291f);
                -webkit-background-clip: text;
                -webkit-text-fill-color: transparent;
                cursor: pointer;
                text-decoration: none;
            }
        }
    }
    > div:nth-child(2){
        margin-right: 10px;
        width: 100%;
        height: 80%;
        display: flex;
        align-items: center;
        justify-content: center;
        > img{
            max-width: 100%;
            max-height: 100%;
            filter: drop-shadow(0 2px 5px rgb(144, 152, 158));
        }
    }
    padding: 0px;
    margin: 30px;
    transition: all 1s;
}
#div5:hover{
    margin: 10px;
    padding: 20px;
}
#div6{
    background-color: rgb(170, 170, 170);
    border: solid 4px black;
    font-size: 30px;
    padding: 10px;
}
#div6 > #htmlText{
    color: #ff7800;
}
#div6 > #htmlText{
    color: #ff7800;
}
#Main2{
    background: linear-gradient(black, purple);
    margin: 0px;
    padding: 10px;
}
#div12{
    display: flex;
    justify-content: space-around;
    > button{
        font-size: 40px;
        color: white;
        background-color: #a76dc1;
        border: solid 0px black;
        font-family: fantasy;
        width: 25%;
        height: 80px;
        border-radius: 10px;
        transition: all 0.5s;
    }
    > button:hover{
        font-size: 43px;
        color: white;
        background-color: #9f45c7;
        border: solid 4px purple;
        font-family: fantasy;
        width: 35%;
        height: 80px;
        border-radius: 20px;
    }
    > button:active{
        font-size: 38px;
        color: #b3b3b3;
        background-color: #9f45c7;
        border: solid 5px purple;
        font-family: fantasy;
        width: 34%;
        height: 80px;
        border-radius: 14px;
        transition: all 0.1s;
    }
}
#div22Content{
    width: 218%;
    display: flex;
    overflow: hidden;
    transition: all 0.5s;
}
#div22Content1{
    max-width: 45.3%;
    font-size: 20px;
    margin: 10px;
    background-color: rgba(255, 255, 255, 0.15);
    border-radius: 25px;
    > div:nth-child(1){
        padding-top: 5px;
        padding-bottom: 5px;
        padding-right: 6px;
        padding-left: 20px;
        justify-content: space-between;
        display: flex;
        padding-bottom: 2px;
        > img{
            border-radius: 20px;
            height: 220px;
        }
        > h1{
            color: white;
            filter: drop-shadow(0px 4px 2px black) drop-shadow(0px 2px 1px black);
        }
    }
    > div:nth-child(2), div:nth-child(3), div:nth-child(4){
        background-color: rgb(183 183 183 / 19%);
        border-radius: 15px;
        margin: 10px;
        padding: 10px;
        display: flex;
        transition: all 0.5s;
        
        > p{
            color: white;
            filter: drop-shadow(0px 2px 1px black) drop-shadow(0px 2px 1px black) drop-shadow(0px 2px 1px black);
            margin: 0px;
            padding: 5px;
            font-size: 20px;
            transition: all 0.5s;

        }
        > img{
            height: 100px;
            border-radius: 10px;
            transition: all 0.5s;
        }
    }
    > div:nth-child(2):hover, div:nth-child(3):hover, div:nth-child(4):hover{
        background-color: rgb(255 255 255 / 19%);
        > p{
            color: white;
            filter: drop-shadow(0px 2px 1px black) drop-shadow(0px 2px 1px black) drop-shadow(0px 2px 1px black);
            margin: 0px;
            padding: 5px;
            font-size: 22px;
        }
        > img{
            height: 120px;
            border-radius: 10px;
        }
    }
}
#div22Content2{
    max-width: 45.3%;
    font-size: 20px;
    margin: 10px;
    background-color: rgba(255, 255, 255, 0.15);
    border-radius: 25px;
    > div:nth-child(1){
        padding-top: 5px;
        padding-bottom: 5px;
        padding-right: 6px;
        padding-left: 20px;
        display: flex;
        padding-bottom: 2px;
        > img{
            border-radius: 20px;
            height: 220px;
        }
        > h1{
            color: white;
            filter: drop-shadow(0px 4px 2px black) drop-shadow(0px 2px 1px black);
        }
    }
    > div:nth-child(2), div:nth-child(3), div:nth-child(4){
        background-color: rgb(183 183 183 / 19%);
        border-radius: 15px;
        margin: 10px;
        padding: 10px;
        display: flex;
        transition: all 0.5s;
        
        > p{
            color: white;
            filter: drop-shadow(0px 2px 1px black) drop-shadow(0px 2px 1px black) drop-shadow(0px 2px 1px black);
            margin: 0px;
            padding: 5px;
            font-size: 20px;
            transition: all 0.5s;

        }
        > img{
            height: 100px;
            border-radius: 10px;
            transition: all 0.5s;
        }
    }
    > div:nth-child(2):hover, div:nth-child(3):hover, div:nth-child(4):hover{
        background-color: rgb(255 255 255 / 19%);
        > p{
            color: white;
            filter: drop-shadow(0px 2px 1px black) drop-shadow(0px 2px 1px black) drop-shadow(0px 2px 1px black);
            margin: 0px;
            padding: 5px;
            font-size: 22px;
        }
        > img{
            height: 120px;
            border-radius: 10px;
        }
    }
}
#div13{
    background-color: #b688bd;
    color: #2a2a2a;
    font-size: 30px;
    font-family: 'Belanosima', sans-serif;
    margin: 5px;
    padding: 10px;
    border: solid 4px #524a52;
    text-align: center;
    border-radius: 30px;
}
#div14{
    > div:nth-child(1){
        display: flex;
        justify-content: space-around;
        > button{
            font-size: 24px;
            color: white;
            background-color: #a76dc1;
            border: solid 0px black;
            font-family: fantasy;
            width: 25%;
            height: 80px;
            border-radius: 10px;
            transition: all 0.5s;
        }
        > button:hover{
            font-size: 30px;
            color: white;
            background-color: #9f45c7;
            border: solid 4px purple;
            font-family: fantasy;
            width: 35%;
            height: 80px;
            border-radius: 20px;
        }
        > button:active{
            font-size: 20px;
            color: #b3b3b3;
            background-color: #9f45c7;
            border: solid 5px purple;
            font-family: fantasy;
            width: 34%;
            height: 80px;
            border-radius: 14px;
            transition: all 0.1s;
        }
    }
    > div > h1{
        font-size: 40px;
        color: white;
        font-family: 'Belanosima';
        text-align: center;
    }
    > div > p{
        text-align: center;
        color: white;
        font-size: 20px;
        font-family: math;
    }
}